Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 1304853002: Add a use counter to determine compat impact of changing flexbox's intrinsic size calculation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 2 months ago by cbiesinger
Modified:
2 years, 2 months ago
CC:
blink-reviews, blink-reviews-rendering, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Add a use counter to determine compat impact of changing flexbox's intrinsic size calculation This is to gather data for this intent: https://groups.google.com/a/chromium.org/d/topic/blink-dev/qBqeSQeyVXc/discussion R=leviw@chromium.org BUG=240765 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=200953

Patch Set 1 #

Total comments: 4

Patch Set 2 : new function #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -0 lines) Patch
M Source/core/frame/UseCounter.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/layout/LayoutFlexibleBox.h View 1 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/layout/LayoutFlexibleBox.cpp View 1 3 chunks +24 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 16 (6 generated)
cbiesinger
2 years, 2 months ago (2015-08-20 21:37:16 UTC) #2
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1304853002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1304853002/1
2 years, 2 months ago (2015-08-20 21:37:40 UTC) #3
leviw_travelin_and_unemployed
https://codereview.chromium.org/1304853002/diff/1/Source/core/frame/UseCounter.h File Source/core/frame/UseCounter.h (right): https://codereview.chromium.org/1304853002/diff/1/Source/core/frame/UseCounter.h#newcode834 Source/core/frame/UseCounter.h:834: FlexboxIntrinsicSizeAlgorithmIsDifferent = 939, This is kind of a weird ...
2 years, 2 months ago (2015-08-20 21:45:49 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1304853002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1304853002/20001
2 years, 2 months ago (2015-08-20 22:00:21 UTC) #6
cbiesinger
PTAL https://codereview.chromium.org/1304853002/diff/1/Source/core/frame/UseCounter.h File Source/core/frame/UseCounter.h (right): https://codereview.chromium.org/1304853002/diff/1/Source/core/frame/UseCounter.h#newcode834 Source/core/frame/UseCounter.h:834: FlexboxIntrinsicSizeAlgorithmIsDifferent = 939, On 2015/08/20 21:45:49, leviw wrote: ...
2 years, 2 months ago (2015-08-20 22:00:44 UTC) #7
leviw_travelin_and_unemployed
On 2015/08/20 at 22:00:44, cbiesinger wrote: > PTAL > > https://codereview.chromium.org/1304853002/diff/1/Source/core/frame/UseCounter.h > File Source/core/frame/UseCounter.h (right): ...
2 years, 2 months ago (2015-08-20 22:01:55 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1304853002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1304853002/20001
2 years, 2 months ago (2015-08-20 22:19:03 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/42605)
2 years, 2 months ago (2015-08-20 23:44:06 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1304853002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1304853002/20001
2 years, 2 months ago (2015-08-21 02:15:57 UTC) #15
commit-bot: I haz the power
2 years, 2 months ago (2015-08-21 02:59:26 UTC) #16
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=200953
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa